Subject: Uncreachable default lo route in table 0

From: [email-masked]
Date: Thu, 28 Jul 2016 13:31:46 +0530

On an Android device(using 3.18 kernel version) we see multiple entries 
as the following added to the route table 0(unspec) by kernel. We 
noticed that this typically happens when we toggle WIFI repeatedly. The 
problem we see is that under such stress test, the table 0 gets filled 
with these entries(4096) and after that no further routes can get added 
leading to unstability.

unreachable default dev lo table 0 proto kernel metric 4294967295 error 
-101

Can you please let us know why does this route get added for lo device 
and when is this supposed to be flushed out?